## gtkman 2.3.3

=== Makefile ===
DESTDIR ?= /
PREFIX ?= /usr/local
PACKAGE_LOCALE_DIR ?= /usr/share/locale

.PHONY: all
all: man mo

.PHONY: man
man:
	@txt2tags -o man/gtkman.man man/gtkman.t2t || \
	echo "WARNING: txt2tags is not installed. The gtkman manpage will not be created."

.PHONY: mo
mo:
	for i in `ls po/*.po`; do \
		msgfmt $$i -o `echo $$i | sed "s/\.po//"`.mo; \
	done
	intltool-merge po/ -d -u gtkman.desktop.in gtkman.desktop

.PHONY: updatepo
updatepo:
	for i in `ls po/*.po`; do \
		msgmerge -UNs $$i po/gtkman.pot; \
	done

.PHONY: pot
pot:
	xgettext --from-code=utf-8 \
		-L Glade \
		-o po/gtkman.pot \
		src/gtkman.ui
	xgettext --from-code=utf-8 \
		-j \
		-L Python \
		-o po/gtkman.pot \
		src/gtkman
	intltool-extract --type="gettext/ini" gtkman.desktop.in
	xgettext --from-code=utf-8 -j -L C -kN_ -o po/gtkman.pot gtkman.desktop.in.h
	rm gtkman.desktop.in.h

.PHONY: clean
clean:
	rm -f gtkman.desktop
	rm -f po/*.mo
	rm -f po/*.po~
	rm -f man/gtkman.man

.PHONY: install
install:
	install -D -m 755 src/gtkman $(DESTDIR)/$(PREFIX)/bin/gtkman
	sed -i "s|^prefix = '_not_set_'|prefix = '$(PREFIX)'|" $(DESTDIR)/$(PREFIX)/bin/gtkman
	sed -i "s|^package_locale_dir = '_not_set_'|package_locale_dir = '$(PACKAGE_LOCALE_DIR)'|" $(DESTDIR)/$(PREFIX)/bin/gtkman
	install -D -m 644 src/gtkman.ui $(DESTDIR)/$(PREFIX)/share/gtkman/gtkman.ui
	install -D -m 644 gtkman.desktop $(DESTDIR)/$(PREFIX)/share/applications/gtkman.desktop
	[ -f man/gtkman.man ] && \
		install -D -m 644 man/gtkman.man $(DESTDIR)/$(PREFIX)/share/man/man1/gtkman.1
	install -d -m 755 $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -m 644 icons/gtkman.svg $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps/
	for i in 32 24 22 16; do \
		install -d -m 755 \
		$(DESTDIR)/$(PREFIX)/share/icons/hicolor/$${i}x$${i}/apps/ \
		2> /dev/null; \
		install -m 644 icons/gtkman-$$i.png \
		$(DESTDIR)/$(PREFIX)/share/icons/hicolor/$${i}x$${i}/apps/gtkman.png; \
	done
	for i in `ls po/*.po|sed "s/po\/\(.*\)\.po/\1/"`; do \
		install -D -m 644 po/$$i.mo $(DESTDIR)/$(PACKAGE_LOCALE_DIR)/$$i/LC_MESSAGES/gtkman.mo; \
	done

.PHONY: tx-pull
tx-pull:
	tx pull -a
	@for i in `ls po/*.po`; do \
		msgfmt --statistics $$i 2>&1 | grep "^0 translated" > /dev/null \
			&& rm $$i || true; \
	done
	@rm -f messages.mo

.PHONY: tx-pull-f
tx-pull-f:
	tx pull -a -f
	@for i in `ls po/*.po`; do \
		msgfmt --statistics $$i 2>&1 | grep "^0 translated" > /dev/null \
			&& rm $$i || true; \
	done
	@rm -f messages.mo

.PHONY: stat
stat:
	@for i in `ls po/*.po`; do \
		echo "Statistics for $$i:"; \
		msgfmt --statistics $$i 2>&1; \
		echo; \
	done
	@rm -f messages.mo

=== debian/changelog ===
gtkman (2.3.3-2) unstable; urgency=medium

  * Team upload
  * Set Vcs fields to the right place
  * Drop default salsa config

 -- Bastian Germann <bage@debian.org>  Thu, 08 Aug 2024 22:06:36 +0200

gtkman (2.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1073042)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Fri, 14 Jun 2024 22:25:43 +0800

=== debian/control ===
Source: gtkman
Section: doc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Maytham Alsudany <maytha8thedev@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gettext,
 intltool,
 python3,
 python3-gi,
 txt2tags,
Standards-Version: 4.7.0
Homepage: https://github.com/gapan/gtkman
Vcs-Browser: https://salsa.debian.org/python-team/packages/gtkman
Vcs-Git: https://salsa.debian.org/python-team/packages/gtkman.git

Package: gtkman
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 ${misc:Depends},
 ${python3:Depends},
Description: simple manual page viewer
 GTKMan is a simple GTK3 manual page viewer, written in Python. Manual pages
 are viewed by specifying their name and optionally the section they are in,
 just as with the original man command. The manual pages are displayed in
 simple text form using the default system monospace font.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/gapan/gtkman/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
